#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define	db_ver	%(rpm -q --whatprovides --qf '%%|E?{%%{E}:}|%%{V}' db-devel)
#
%define		pdir	DB_File
%define		pnam	DB_File
Summary:	DB_File allows to manage a simple ASCII database
Summary(pl.UTF-8):	DB_File pozwala na korzystanie z prostej, tekstowej bazy danych
Name:		perl-DB_File
Version:	1.852
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/authors/id/P/PM/PMQS/DB_File-%{version}.tar.gz
# Source0-md5:	7b5aa99abd24ac0813a8c32b58216806
Patch0:		%{name}-rpm-automation.patch
URL:		http://search.cpan.org/dist/DB_File/
BuildRequires:	db-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	db = %{db_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DB_File is a module which allows Perl programs to make use of the
facilities provided by Berkeley DB version 1.

%description -l pl.UTF-8
DB_File jest modułem, który pozwala programom w Perlu na korzystanie
z udogodnień dostarczanych przez Berkeley DB w wersji 1.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p1

%build
%{__perl} -pi -e "s/INSTALLDIRS => 'perl',//" Makefile.PL
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/DB_File.pm
%dir %{perl_vendorarch}/auto/DB_File
%attr(755,root,root) %{perl_vendorarch}/auto/DB_File/DB_File.so
%{_mandir}/man3/DB_File.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DB_File.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> bd3ce68
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> de72d65
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 4e8d0c1
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 6f1868f
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> a24c125
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 76e2a35
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 9251bba
- up to 1.852

* Sun Mar 31 2019 Adam Gołębiowski <adamg@pld-linux.org> db46956
- updated to 1.850

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> 9a32a34
- updated to 1.842

* Mon May 28 2018 Marcin Krol <hawk@tld-linux.org> 4023ff7
- updated to 1.841

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b2b3543
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 14b5037
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> f548a36
- Up to 1.840

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 1e47936
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6a4f638
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 4efe560
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> e1c1eb5
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 06c534a
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 9642bc1
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sun Nov 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a04a605
- release 2 (by relup.sh)

